@echo off
echo 程序文件文件更新前，确保服务器已停止服务！
echo 默认路径“D:\MirServer”，如果路径不同，修改路径再更新！
echo 鼠标右键点【开始更新程序.bat】选择文本编辑即可修改路径！
echo 如果更新176引擎！编辑【开始更新程序.bat】把【旗舰版_FDB_连击_合击】文件夹改为【旗舰版_FDB_176】
echo 【确认服务器已经停止和路径正确无误，请点击任意键，将自动更新%date:~0,31%%版程序】
echo ★BLUE官方代理、QQ群487184004、QQ：1592180  
pause

set WSDir=D:\MirServer
Copy 旗舰版_FDB_连击_合击\Mir200\M2Server.exe %WSDir%\Mir200\ /y
Copy 旗舰版_FDB_连击_合击\Mir200\mSystemModule.dll %WSDir%\Mir200\ /y
Copy 旗舰版_FDB_连击_合击\Mir200\GameServer.dll %WSDir%\Mir200\ /y
Copy 旗舰版_通用程序\sqlite3.dll %WSDir%\Mir200\ /y
Copy 旗舰版_FDB_连击_合击\DBServer\DBServer.exe %WSDir%\DBServer\ /y
Copy 旗舰版_通用程序\sqlite3.dll %WSDir%\DBServer\ /y
Copy 旗舰版_通用程序\RunGate\RunGate.exe %WSDir%\RunGate\ /y
Copy 旗舰版_通用程序\GameCenter.exe %WSDir%\ /y
Copy 旗舰版_通用程序\sqlite3.dll %WSDir%\ /y
Copy 旗舰版_通用程序\LogDataServer.exe %WSDir%\LogServer\ /y
Copy 旗舰版_通用程序\LoginSrv.exe %WSDir%\LoginSrv\ /y
Copy 旗舰版_通用程序\SelGate.exe %WSDir%\SelGate\ /y
Copy 旗舰版_通用程序\mCryptModule.dll %WSDir%\SelGate\ /y
Copy 旗舰版_通用程序\mCryptModule.dll %WSDir%\Mir200\ /y
Copy 旗舰版_通用程序\mCryptModule.dll %WSDir%\LoginGate\ /y
Copy 旗舰版_通用程序\mCryptModule.dll %WSDir%\RunGate\ /y
echo 程序文件文件已更新完成. . .请手动复制LoginGate至服务端LoginGate文件夹下..
pause